#
# spec file for package jackson-parent
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           jackson-parent
Version:        2.17
Release:        1.3
Summary:        Parent pom for all Jackson components
License:        Apache-2.0
Group:          Development/Libraries/Java
URL:            https://github.com/FasterXML/jackson-parent
Source0:        https://github.com/FasterXML/jackson-parent/archive/%{name}-%{version}.tar.gz
Source1:        http://www.apache.org/licenses/LICENSE-2.0.txt
BuildRequires:  maven-local
BuildRequires:  mvn(com.fasterxml:oss-parent:pom:)
BuildArch:      noarch

%description
Project for parent pom for all Jackson components.

%prep
%setup -q -n %{name}-%{name}-%{version}

cp -p %{SOURCE1} LICENSE
sed -i 's/\r//' LICENSE

%build
%{mvn_build} -j

%install
%mvn_install

%files -f .mfiles
%doc README.md
%license LICENSE

%changelog
* Mon May 20 2024 Gus Kenion <gus.kenion@suse.com>
- Upgrade to 2.17
  * Update to oss-parent 58 (plugin version updates)
* Fri Mar  8 2024 Gus Kenion <gkenion@suse.com>
- Upgrade to 2.16
  * Upgrade to oss-parent 56 (tons of plugin updates to resolve
    Maven warnings, new Moditect plugin)
* Mon Aug 21 2023 Fridrich Strba <fstrba@suse.com>
- Upgrade to 2.15
  * 2.15 (23-Apr-2023)
    + Upgrade to oss-parent 50 (many plugin version updates)
    + Remove settings for 'org.eclipse.m2e:lifecycle-mapping'
  * 2.14 (05-Nov-2022)
    + Upgrade to oss-parent 48 (Reproducible Builds, many plugin
    version updates)
* Wed Oct 20 2021 Fridrich Strba <fstrba@suse.com>
- Update to 2.13.0
  * 2.13.0 (30-Sep-2021)
    + Add 'mvnw' wrapper
  * 2.12.0 (29-Nov-2020)
    + #171: 'JsonSubType.Type' should accept array of names
    + #173: Jackson version alignment with Gradle 6
    + #174: Add '@JsonIncludeProperties'
    + #175: Add '@JsonTypeInfo(use=DEDUCTION)'
    + #177: Ability to use '@JsonAnyGetter' on fields
    + #179: Add '@JsonKey' annotation
    + #180: Allow repeated calls to
    'SimpleObjectIdResolver.bindItem()' for same mapping
    + #181: Add 'namespace' property for '@JsonProperty' (for
    XML module)
    + Add target 'ElementType.ANNOTATION_TYPE' for
    '@JsonEnumDefaultValue' (was missing for some reason)
  * 2.11.0 (26-Apr-2020)
    + 'JsonPattern.Value.pattern' retained as "", never
    (accidentally) exposed as 'null'
* Wed Nov 20 2019 Pedro Monreal Gonzalez <pmonrealgonzalez@suse.com>
- Update to 2.10.0
  * 2.10.0 (26-Sep-2019)
  - Upgrade to oss-parent 38
  * 2.9.1.1 (29-Mar-2018)
  - Upgrade to oss-parent 33 to get later plugin versions
* Mon May  6 2019 Fridrich Strba <fstrba@suse.com>
- Initial packaging of jackson-parent pom version 2.9.1
